import { Diagnostic } from "vscode-languageserver";
import { SystemVerilogIndexer } from "./svindexer";
export declare class VerilatorDiagnostics {
    private static readonly _whitelistedMessages;
    private _indexer;
    private _command;
    private _defines;
    private _optionsFile;
    private _alreadyRunning;
    private _fileWaiting;
    private _tmpDir;
    private _freeTmpFileNums;
    private _totalTmpFileNums;
    constructor(indexer: SystemVerilogIndexer);
    setCommand(cmd: string): void;
    setOptionsFile(file: string): void;
    setDefines(defines: string[]): void;
    private _getFreeTmpFileNum;
    private _lintImmediate;
    lint(file: string, text?: string): Promise<Diagnostic[]>;
    private _parseDiagnostics;
    private _getSeverity;
    cleanupTmpFiles(): void;
}
